Class CfnRouteMixinProps.Builder
java.lang.Object
software.amazon.awscdk.cfnpropertymixins.services.apigatewayv2.CfnRouteMixinProps.Builder
- All Implemented Interfaces:
software.amazon.jsii.Builder<CfnRouteMixinProps>
- Enclosing interface:
CfnRouteMixinProps
@Stability(Stable)
public static final class CfnRouteMixinProps.Builder
extends Object
implements software.amazon.jsii.Builder<CfnRouteMixinProps>
A builder for
CfnRouteMixinProps-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionSets the value ofCfnRouteMixinProps.getApiId()Sets the value ofCfnRouteMixinProps.getApiId()apiKeyRequired(Boolean apiKeyRequired) Sets the value ofCfnRouteMixinProps.getApiKeyRequired()apiKeyRequired(IResolvable apiKeyRequired) Sets the value ofCfnRouteMixinProps.getApiKeyRequired()authorizationScopes(List<String> authorizationScopes) Sets the value ofCfnRouteMixinProps.getAuthorizationScopes()authorizationType(String authorizationType) Sets the value ofCfnRouteMixinProps.getAuthorizationType()authorizerId(String authorizerId) Sets the value ofCfnRouteMixinProps.getAuthorizerId()authorizerId(IAuthorizerRef authorizerId) Sets the value ofCfnRouteMixinProps.getAuthorizerId()build()Builds the configured instance.modelSelectionExpression(String modelSelectionExpression) Sets the value ofCfnRouteMixinProps.getModelSelectionExpression()operationName(String operationName) Sets the value ofCfnRouteMixinProps.getOperationName()requestModels(Object requestModels) Sets the value ofCfnRouteMixinProps.getRequestModels()requestParameters(Object requestParameters) Sets the value ofCfnRouteMixinProps.getRequestParameters()Sets the value ofCfnRouteMixinProps.getRouteKey()routeResponseSelectionExpression(String routeResponseSelectionExpression) Sets the value ofCfnRouteMixinProps.getRouteResponseSelectionExpression()Sets the value ofCfnRouteMixinProps.getTarget()target(IIntegrationRef target) Sets the value ofCfnRouteMixinProps.getTarget()
-
Constructor Details
-
Builder
public Builder()
-
-
Method Details
-
apiId
Sets the value ofCfnRouteMixinProps.getApiId()- Parameters:
apiId- The API identifier.- Returns:
this
-
apiId
Sets the value ofCfnRouteMixinProps.getApiId()- Parameters:
apiId- The API identifier.- Returns:
this
-
apiKeyRequired
Sets the value ofCfnRouteMixinProps.getApiKeyRequired()- Parameters:
apiKeyRequired- Specifies whether an API key is required for the route. Supported only for WebSocket APIs.- Returns:
this
-
apiKeyRequired
Sets the value ofCfnRouteMixinProps.getApiKeyRequired()- Parameters:
apiKeyRequired- Specifies whether an API key is required for the route. Supported only for WebSocket APIs.- Returns:
this
-
authorizationScopes
@Stability(Stable) public CfnRouteMixinProps.Builder authorizationScopes(List<String> authorizationScopes) Sets the value ofCfnRouteMixinProps.getAuthorizationScopes()- Parameters:
authorizationScopes- The authorization scopes supported by this route.- Returns:
this
-
authorizationType
Sets the value ofCfnRouteMixinProps.getAuthorizationType()- Parameters:
authorizationType- The authorization type for the route. For WebSocket APIs, valid values areNONEfor open access,AWS_IAMfor using AWS IAM permissions, andCUSTOMfor using a Lambda authorizer. For HTTP APIs, valid values areNONEfor open access,JWTfor using JSON Web Tokens,AWS_IAMfor using AWS IAM permissions, andCUSTOMfor using a Lambda authorizer.- Returns:
this
-
authorizerId
Sets the value ofCfnRouteMixinProps.getAuthorizerId()- Parameters:
authorizerId- The identifier of theAuthorizerresource to be associated with this route. The authorizer identifier is generated by API Gateway when you created the authorizer.- Returns:
this
-
authorizerId
Sets the value ofCfnRouteMixinProps.getAuthorizerId()- Parameters:
authorizerId- The identifier of theAuthorizerresource to be associated with this route. The authorizer identifier is generated by API Gateway when you created the authorizer.- Returns:
this
-
modelSelectionExpression
@Stability(Stable) public CfnRouteMixinProps.Builder modelSelectionExpression(String modelSelectionExpression) Sets the value ofCfnRouteMixinProps.getModelSelectionExpression()- Parameters:
modelSelectionExpression- The model selection expression for the route. Supported only for WebSocket APIs.- Returns:
this
-
operationName
Sets the value ofCfnRouteMixinProps.getOperationName()- Parameters:
operationName- The operation name for the route.- Returns:
this
-
requestModels
Sets the value ofCfnRouteMixinProps.getRequestModels()- Parameters:
requestModels- The request models for the route. Supported only for WebSocket APIs.- Returns:
this
-
requestParameters
Sets the value ofCfnRouteMixinProps.getRequestParameters()- Parameters:
requestParameters- The request parameters for the route. Supported only for WebSocket APIs.- Returns:
this
-
routeKey
Sets the value ofCfnRouteMixinProps.getRouteKey()- Parameters:
routeKey- The route key for the route. For HTTP APIs, the route key can be either$default, or a combination of an HTTP method and resource path, for example,GET /pets.- Returns:
this
-
routeResponseSelectionExpression
@Stability(Stable) public CfnRouteMixinProps.Builder routeResponseSelectionExpression(String routeResponseSelectionExpression) Sets the value ofCfnRouteMixinProps.getRouteResponseSelectionExpression()- Parameters:
routeResponseSelectionExpression- The route response selection expression for the route. Supported only for WebSocket APIs.- Returns:
this
-
target
Sets the value ofCfnRouteMixinProps.getTarget()- Parameters:
target- The target for the route.- Returns:
this
-
target
Sets the value ofCfnRouteMixinProps.getTarget()- Parameters:
target- The target for the route.- Returns:
this
-
build
Builds the configured instance.- Specified by:
buildin interfacesoftware.amazon.jsii.Builder<CfnRouteMixinProps>- Returns:
- a new instance of
CfnRouteMixinProps - Throws:
NullPointerException- if any required attribute was not provided
-